'use client';

import { useAuth } from '@/contexts/AuthContext';
import { Button } from '@mui/material';
import { useRouter } from 'next/navigation';

export default function LogoutButton() {
  const { signOut } = useAuth();
  const router = useRouter();

  const handleLogout = async () => {
    try {
      await signOut();
      router.push('/auth/login');
    } catch (error) {
      console.error('Erreur lors de la déconnexion:', error);
    }
  };

  return (
    <Button
      variant="outlined"
      color="inherit"
      onClick={handleLogout}
    >
      Déconnexion
    </Button>
  );
} 